Bug 224282 - security/xmlsec1: upgrade to 1.2.25
Summary: security/xmlsec1: upgrade to 1.2.25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks: 224288
  Show dependency treegraph
 
Reported: 2017-12-12 16:06 UTC by Greg V
Modified: 2018-02-08 07:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
xmlsec1.patch (6.59 KB, patch)
2017-12-12 16:06 UTC, Greg V
no flags Details | Diff
xmlsec1.patch v2 (6.77 KB, patch)
2018-02-07 14:41 UTC, Greg V
no flags Details | Diff
xmlsec1.patch v3 (6.66 KB, patch)
2018-02-07 19:25 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-12-12 16:06:58 UTC
Created attachment 188760 [details]
xmlsec1.patch

The update (and enabling NSS by default) is required for LibreOffice 6.0.0.beta2.

I tried to make DOCS work, but gtkdoc-mkhtml just fails silently :(
Comment 1 Li-Wen Hsu freebsd_committer 2018-02-01 19:18:28 UTC
Just did a quick test in poudriere, it really doesn't build with DOCS option on.  If you cannot resolve this, maybe just don't build docs as it is currently.

Also, 
1) PORTREVISION can be removed on upgrading to a new version.
2) perl:lang/perl5 doesn't look a valid entry in _DEPENDS
Comment 2 Greg V 2018-02-07 14:41:50 UTC
Created attachment 190388 [details]
xmlsec1.patch v2

Oh — looks like we don't need to build the documentation, it's actually already present in the archive. gtkdoc *re*builds it I think.
Comment 3 Li-Wen Hsu freebsd_committer 2018-02-07 18:45:22 UTC
(In reply to Greg V from comment #2)
Thanks, this builds fine now.  For the other ports depend on it, security/lasso seems broken after this update, could you help to check it?

https://gist.github.com/220d26a77b76747dd09355de311ee16c
Comment 4 Greg V 2018-02-07 19:25:15 UTC
Created attachment 190397 [details]
xmlsec1.patch v3

Oh. SOAP support is now deprecated, but not removed. Added --enable-soap to build it.
Comment 5 commit-hook freebsd_committer 2018-02-08 07:08:25 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Feb  8 07:07:43 UTC 2018
New revision: 461199
URL: https://svnweb.freebsd.org/changeset/ports/461199

Log:
  - Update to 1.2.25

  PR:		224282
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	maintainer timeout

Changes:
  head/security/xmlsec1/Makefile
  head/security/xmlsec1/distinfo
  head/security/xmlsec1/files/patch-Makefile.in
  head/security/xmlsec1/files/patch-src-openssl-app.c
  head/security/xmlsec1/files/patch-src-openssl-openssl11_wrapper.h
  head/security/xmlsec1/files/patch-src_openssl_signatures.c
  head/security/xmlsec1/pkg-plist